# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.http
Class JdkHttpUrlConnectionSource

    java.lang.Object
      com.google.gdata.client.http.JdkHttpUrlConnectionSource

All Implemented Interfaces:
  HttpUrlConnectionSource

    public class JdkHttpUrlConnectionSource

extends java.lang.Object
implements HttpUrlConnectionSource

Opens HTTP connection using `URL.openConnection()`.

Field Summary
`static JdkHttpUrlConnectionSource` `INSTANCE` Pre-built instance.

Constructor Summary
`JdkHttpUrlConnectionSource()`

Method Summary
`java.net.HttpURLConnection` `openConnection(java.net.URL url)` Creates a new `HttpURLConnection` for `url`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final JdkHttpUrlConnectionSource INSTANCE

  Pre-built instance.

Constructor Detail

### JdkHttpUrlConnectionSource

    public JdkHttpUrlConnectionSource()

Method Detail

### openConnection

    public java.net.HttpURLConnection openConnection(java.net.URL url)
                                              throws java.io.IOException

  Description copied from interface: `HttpUrlConnectionSource`
  Creates a new `HttpURLConnection` for `url`.

  Specified by:
    `openConnection` in interface `HttpUrlConnectionSource`
  Parameters:
    `url` - url to connect to
  Throws:
    `java.io.IOException`